#pragma once
#include "BDialog.h"

// Display_IMG dialog
#define WM_MYMESSAGE (WM_USER + 101)

class Display_IMG : public CBDialog
{
	DECLARE_DYNAMIC(Display_IMG)

public:
	Display_IMG(CWnd* pParent = NULL);   // standard constructor
	virtual ~Display_IMG();
	BOOL OnInitDialog();
	BOOL loadDIB(HDIB pDIB);
	void OnLButtonDown(UINT nFlags, CPoint point);
	void DrawSelectedRectangle(CPoint Ipos, CPoint Fpos, int redraw);
	void OnMouseMove(UINT nFlags, CPoint point);
	void OnLButtonUp(UINT nFlags, CPoint point);
// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnClose();

public:
	HDIB hDIB;		// pointer to a DIB image
	BITMAP hBITMAP;
	CPalette* m_palDIB;
	CSize m_sizeDoc;
	CPoint	ICurs, FCurs, OLDICurs, OLDFCurs;
	int	LMouseDown;
	CPen oldpen;
	int Image_DimX;		// The image size
	int Image_DimY;
	int Dialog_DimX;	// The client Area Dimension
	int Dialog_DimY;
	int Image_PixelxMeterX;
	int Image_PixelxMeterY;

	// Dialog Data
	enum { IDD = IDD_DISPLAY_IMAGE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual void PostNcDestroy();

	DECLARE_MESSAGE_MAP()
};
