// ExampleDlg.h : header file
//

#if !defined(AFX_EXAMPLEDLG_H__C2C490B7_07EA_11D5_8266_00C0DFF36B36__INCLUDED_)
#define AFX_EXAMPLEDLG_H__C2C490B7_07EA_11D5_8266_00C0DFF36B36__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "afxwin.h"

/////////////////////////////////////////////////////////////////////////////
// CExampleDlg dialog

class CExampleDlg : public CDialog
{
// Construction
public:
	char str[10000];
	char* DibPtr;
	char* FrontDibPtr;
	char* RearDibPtr;
	int Make(int type, int direction);
	CExampleDlg(CWnd* pParent = NULL);	// standard constructor
	LRESULT OnMyMessage(WPARAM wParam, LPARAM lParam);
	virtual ~CExampleDlg();
	
	HWND hImageWnd;
	HWND hParentWnd;

	// Dialog Data
	//{{AFX_DATA(CExampleDlg)
	enum { IDD = IDD_EXAMPLE_DIALOG };
	CEdit	m_ELimitCharSet;
	CButton	m_CLimitCharSet;
	CComboBox	m_MakeType;
	CComboBox	m_LoadType;
	CButton	m_DisplayImage;
	long		m_h;
	long		m_w;
	long		m_x;
	long		m_y;
	int		m_Threshold;
	CString	m_CharSet;
	BOOL	m_25chk;
	BOOL	m_39chk;
	BOOL	m_25i;
	BOOL	m_39;
	BOOL	m_128;
	BOOL	m_93;
	BOOL	m_ean13;
	BOOL	m_ean8;
	BOOL	m_upca;
	BOOL	m_upce;
	BOOL	m_39full;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CExampleDlg)
	virtual BOOL OnInitDialog();
	//afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBUTTONReadImage();
	afx_msg void OnBUTTONDLLVersion();
	afx_msg void OnBUTTONLoad();
	afx_msg void OnBUTTONMakeOCR();
	afx_msg void OnBUTTONUnloadRecognizers();
	afx_msg void OnButtonSelectwholeimg();
	afx_msg void OnButtonHelp();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_direction;
	afx_msg void OnBnClickedButtonmakemh();
	CEdit Front_img;
	CEdit Rear_img;
	afx_msg void OnBnClickedFrontImg();
	afx_msg void OnBnClickedRearImg();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXAMPLEDLG_H__C2C490B7_07EA_11D5_8266_00C0DFF36B36__INCLUDED_)
