
#include "stdafx.h"

#include <stdio.h>
#include <Windows.h>
#include <Iphlpapi.h>
#include <Assert.h>
#pragma comment(lib, "iphlpapi.lib")

char* getMAC(char *mac_addr, int str_max_size);

char* getMAC(char *mac_addr, int str_max_size) {
	char tmp_str[1024], mac[32];;
	IP_ADAPTER_INFO *AdapterInfo = NULL;
	DWORD dwBufLen = 0;

	// Make an initial call to GetAdaptersInfo to get the necessary size into the dwBufLen variable
	if (GetAdaptersInfo(AdapterInfo, &dwBufLen) == ERROR_BUFFER_OVERFLOW) {
		AdapterInfo = (IP_ADAPTER_INFO *)malloc(dwBufLen);
		if (AdapterInfo == NULL) 
			printf("Error allocating memory needed to call GetAdaptersinfo\n");
		else {
			if (GetAdaptersInfo(AdapterInfo, &dwBufLen) == NO_ERROR) {
				PIP_ADAPTER_INFO pAdapterInfo = AdapterInfo;	// Contains pointer to current adapter info
				do {
					sprintf_s(mac, sizeof(mac), "%02X:%02X:%02X:%02X:%02X:%02X",
					pAdapterInfo->Address[0], pAdapterInfo->Address[1],
					pAdapterInfo->Address[2], pAdapterInfo->Address[3],
					pAdapterInfo->Address[4], pAdapterInfo->Address[5]);
					sprintf_s(tmp_str, sizeof(tmp_str), "IP Address: %s, mac ADD: %s\n", pAdapterInfo->IpAddressList.IpAddress.String, mac);
					strcat_s(mac_addr, str_max_size, tmp_str);
					break;	// just get the first
					pAdapterInfo = pAdapterInfo->Next;        
				} while(pAdapterInfo);     
			}
			free(AdapterInfo);
		}
	}
	return NULL;
}